package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.enums.UserGenderEnum;
import com.ym.mec.common.page.QueryInfo;

public class StudentApplyDetailDto extends QueryInfo {

    @ApiModelProperty(value = "学生姓名",required = false)
    private String studentName;

    @ApiModelProperty(value = "家长姓名",required = false)
    private String parentsName;

    /** 当前所在年级 */
    @ApiModelProperty(value = "当前所在年级",required = false)
    private String currentGrade;

    /** 当前所在班级 */
    @ApiModelProperty(value = "当前所在班级",required = false)
    private String currentClass;

    @ApiModelProperty(value = "性别",required = false)
    private UserGenderEnum gender;

    /** 是否允许调剂 */
    @ApiModelProperty(value = "是否允许调剂",required = false)
    private YesOrNoEnum isAllowAdjust;

    @ApiModelProperty(value = "报名专业名称",required = false)
    private String subjectName;

    @ApiModelProperty(value = "实际专业名称",required = false)
    private String actualSubjectName;

    @ApiModelProperty(value = "家长电话",required = false)
    private String parentsPhone;

    @ApiModelProperty(value = "学员缴费状态",required = false)
    private YesOrNoEnum paymentStatus;

    public String getActualSubjectName() {
        return actualSubjectName;
    }

    public void setActualSubjectName(String actualSubjectName) {
        this.actualSubjectName = actualSubjectName;
    }

    public YesOrNoEnum getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(YesOrNoEnum paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getParentsName() {
        return parentsName;
    }

    public void setParentsName(String parentsName) {
        this.parentsName = parentsName;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public void setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
    }

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public UserGenderEnum getGender() {
        return gender;
    }

    public void setGender(UserGenderEnum gender) {
        this.gender = gender;
    }

    public YesOrNoEnum getIsAllowAdjust() {
        return isAllowAdjust;
    }

    public void setIsAllowAdjust(YesOrNoEnum isAllowAdjust) {
        this.isAllowAdjust = isAllowAdjust;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getParentsPhone() {
        return parentsPhone;
    }

    public void setParentsPhone(String parentsPhone) {
        this.parentsPhone = parentsPhone;
    }
}
